Index: WAeUP_SRP/trunk/skins/waeup_default/login_default.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/login_default.pt	(revision 503)
+++ WAeUP_SRP/trunk/skins/waeup_default/login_default.pt	(revision 503)
@@ -0,0 +1,80 @@
+<metal:block define-macro="master"
+  tal:define="showthirdcol showthirdcol|python:1;
+              emptybody emptybody|request/emptybody|nothing;
+              mtool here/portal_membership;
+              can_raise python:mtool.assertViewable(here);
+              utool nocall:here/portal_url;
+              atool here/portal_actions;
+              ttool here/portal_trees;
+              wtool here/portal_workflow;
+              context_url python:here.getContextUrl(utool=utool);
+              base_url here/cpsskins_getBaseUrl;
+              here_url here/absolute_url;
+              member mtool/getAuthenticatedMember;
+              isAnon mtool/isAnonymousUser;
+              isHomeless python:isAnon or member.getProperty('homeless', 0);
+              isHomeless python:(isHomeless == '0' and [0] or [isHomeless])[0];
+              actions python:atool.listFilteredActionsFor(here);
+              wf_state python:wtool.getInfoFor(here,'review_state','');
+              uname python: isAnon and 'Guest' or member.getUserName();
+              checkPerm nocall: mtool/checkPermission;
+              cpsmcat nocall:here/translation_service;
+              locale here/translation_service/getSelectedLanguage;
+              in_ws here/isInWorkspace;
+              dummy python: request.set('cpsskins_cmfactions', actions);
+              username request/username | request/__ac_name | nothing">
+
+  <h1 i18n:translate="heading_login_form">Log in</h1>
+
+  <form id="loginForm" action="" method="post"
+        tal:attributes="action string:${base_url}logged_in">
+
+  <table id="login" class="form"
+         summary="Table for entering login information">
+    <tbody>
+    <tr>
+    <th>
+        <label for="username"
+               i18n:translate="label_user_name">User name</label></th>
+    <td>
+        <input type="text" id="username" name="__ac_name"
+               class="focus" size="20" value=""
+               tal:attributes="value username" /></td>
+    </tr>
+    <tr>
+    <th>
+        <label for="password"
+               i18n:translate="label_password">Password</label></th>
+    <td>
+        <input type="password" id="password" name="__ac_password" size="20"
+               value="" /></td>
+    </tr>
+    </tbody>
+  </table>
+
+  <p class="buttonArea">
+    <!-- ****** Enable the automatic redirect ***** -->
+    <input type="hidden" name="came_from" value=""
+           tal:condition="exists: request/came_from"
+           tal:attributes="value request/came_from" />
+    <!-- ****** Enable the automatic redirect ***** -->
+    <input i18n:attributes="value" class="standalone"
+           type="submit" name="submit" value="button_login" />
+  </p>
+
+  </form>
+
+  <p i18n:translate="help_login_aware_logout">
+    Don't forget to logout or exit your browser when you're done.
+  </p>
+  <p i18n:translate="help_login_troubles_cookies">
+    Having trouble logging in? Make sure to enable cookies in
+    your web browser.
+  </p>
+  <p i18n:translate="">
+    help_password_forgotten
+    <tal:block i18n:name="link_password_forgotten"
+               replace="string:${base_url}account_lost_password_form"/>
+  </p>
+
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/msie.css
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/msie.css	(revision 502)
+++ 	(revision )
@@ -1,26 +1,0 @@
-/*
-Internet Explorer CSS customization.
-This file is used and read *only* by MSIE through the use of a MSIE conditional
-comment. This is the place to put instructions to correct the rendering problems
-specific to MSIE.
-
-$Id$
-*/
-
-<dtml-let last_modified="_.DateTime()-14" expires="_.DateTime()+1" >
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Content-Type', 'text/css' )">
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Last-Modified', last_modified.toZone('GMT').rfc822() )">
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Cache-Control', 'max-age=36000, must-revalidate' )">
-<dtml-call "REQUEST.RESPONSE.setHeader( 'Expires', expires.toZone('GMT').rfc822() )" >
-</dtml-let>
-
-/*
-The MSIE PNG behavior is disabled by default but kept here in case you need it.
-This MSIE behavior was supposed to work for MSIE >= 5.5, but *some* versions of
-MSIE 5.5 have problems with it. So feel free to use it back again if your
-visitors do not use MSIE 5.5 or when MSIE 5.5 becomes history.
-*/
-
-img {
-  behavior: url(pngbehavior.htc);
-}
Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 502)
+++ WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 503)
@@ -3,11 +3,6 @@
                    base_url python: request.get('cpsskins_base_url');">
 
-<span tal:condition="python:path('info/review_state')=='checked'">
+<span tal:condition="python:path('info/review_state')!='work'">
   <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
-  <span tal:content="info/review_state" />
-</ span>
-
-<span tal:condition="python:path('info/review_state')=='unchecked'">
-  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_reject.png"/>
   <span tal:content="info/review_state" />
 </ span>