Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 508)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 509)
@@ -36,15 +36,4 @@
   <permission value="View"/>
  </action>
- <action title="Apply for PUME" action_id="apply_admission" category="object"
-    condition_expr="" url_expr="string:${object/absolute_url}/apply_admission"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Check Application Status" action_id="check_application"
-    category="object"
-    condition_expr=""
-    url_expr="string:${object/absolute_url}/check_application" visible="False">
-  <permission value="View"/>
- </action>
  <action title="action_edit" action_id="edit" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
Index: WAeUP_SRP/trunk/profiles/default/types/University.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 508)
+++ WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 509)
@@ -43,5 +43,5 @@
  <action title="New content" action_id="new_content" category="object"
     condition_expr="python:member and  'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/folder_factories" visible="True">
+    url_expr="string:${object_url}/folder_factories" visible="False">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_default/home.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/home.pt	(revision 508)
+++ WAeUP_SRP/trunk/skins/waeup_default/home.pt	(revision 509)
@@ -5,9 +5,12 @@
 <br />
 
-<p>This is the frontpage of the Student Registration Portal (SRP) which is part of the West African e-University Project. For further information see 
-<a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>. So far it is working in backend mode only.
-The Portal Administrator can add new members (create member records) and assign local roles to individual members.
-Members can browse the varios academic sections. They can check, edit and approve Faculty, Department, Certificate, 
-Course and CertificateCourse records, if they got the respective role from the Portal Administrator.</p>
+<p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. For further information see 
+<a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>. </p>
+
+<p>You've chosen the portal's 'back entrance' which is dedicated to university staff members to maintain the portal's database.</p>
+
+<p>Portal Managers can add new Members (create member records) and assign local roles to individual members. Portal 
+Members can browse the various academic or the student sections. They can check, edit and approve Faculty, Department, Certificate, 
+Course and CertificateCourse records, if they got the respective role from a Portal Manager.</p>
 
 <p>This site is best seen in Firefox browser.</p>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 508)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 509)
@@ -22,5 +22,5 @@
       <table cellpadding="10em" cellspacing="">
       <tr>
-      <td valign="top"><span tal:content="structure here/passport" /></td>
+      <td valign="top"><span tal:content="here/downloadFile/passport" /></td>
       <td>
       
Index: WAeUP_SRP/trunk/skins/waeup_student/home_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/home_student.pt	(revision 509)
+++ WAeUP_SRP/trunk/skins/waeup_student/home_student.pt	(revision 509)
@@ -0,0 +1,28 @@
+<metal:html>
+
+<metal:body use-macro="here/main_template/macros/master">
+
+<metal:main fill-slot="main">
+
+  <h2>Welcome to the     
+   
+  <br />Student Registration Portal of the University of Benin, Nigeria</h2>
+  
+  <br />
+  
+  <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
+  For further information see 
+  <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
+  
+  <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
+  entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
+  proceed with the admission and clearance process.</p>
+ 
+  <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
+  to register courses for the current session, to pay their school fees and to book accommodation.</p>
+  
+  <p>This site is best seen in Firefox browser.</p>
+  
+</metal:main>
+</metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/login_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/login_student.pt	(revision 508)
+++ WAeUP_SRP/trunk/skins/waeup_student/login_student.pt	(revision 509)
@@ -6,8 +6,20 @@
       tal:define="username request/username | request/__ac_name | nothing">
 
-  <h1 i18n:translate="heading_login_form">Log in</h1>
+  <h3 i18n:translate="">Student Login</h3>
 
-  <form id="loginForm" action="" method="post"
+  <form id="" action="" method="post"
         tal:attributes="action string:${base_url}logged_in">
+        
+
+  <p> To access the registration portal enter your Student Id  and Password. </p>
+  
+  <p>The <strong>Student Id</strong>  has been automatically  assigned by the portal after creation of 
+  the student record. Do not confuse with your Registration or Matriculation Number!</p>
+  
+  <p>During the admission and clearance process the <strong>Password</strong>, which has to be entered here, corresponds with the last 
+  10 digits of your Access Card PIN. You cannot change the Password (or better Passnumber). After clearance you are requested to choose your own 
+  password.</p>
+  
+  <br /> 
 
   <table id="login" class="form"
@@ -17,5 +29,5 @@
     <th>
         <label for="username"
-               i18n:translate="label_user_name">User name</label></th>
+               i18n:translate="label_student_id">Student Id</label></th>
     <td>
         <input type="text" id="username" name="__ac_name"
@@ -33,5 +45,5 @@
     </tbody>
   </table>
-
+  
   <p class="buttonArea">
     <!-- ****** Enable the automatic redirect ***** -->
@@ -45,4 +57,6 @@
 
   </form>
+
+  <br />
 
   <p i18n:translate="help_login_aware_logout">
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 508)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 509)
@@ -1,5 +1,14 @@
-<tal:block define="item nocall:options/context_obj;
-                   info item/getContentInfo;">
+<tal:block define="mtool here/portal_membership;
+                   utool nocall:here/portal_url;
+                   portal_url utool;
+                   member mtool/getAuthenticatedMember;
+                   roles member/getRoles;
+                   item nocall:options/context_obj;
+                   info item/getContentInfo;"
+           condition="python:'Student' in roles
+           ">
 
+                   
+                   
 <table class="registration">
   