Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 517)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 518)
@@ -6,16 +6,22 @@
  <permission>Modify portal content</permission>
  <permission>View</permission>
- <state state_id="admission_rejected" title="">
-  <exit-transition transition_id="finally_reject"/>
- </state>
- <state state_id="admitted" title="">
-  <exit-transition transition_id="enter_clearance_pin"/>
- </state>
- <state state_id="application_pin_entered" title="">
-  <exit-transition transition_id="apply_for_admission"/>
- </state>
  <state state_id="admission_applied" title="">
   <exit-transition transition_id="pume_fail"/>
   <exit-transition transition_id="pume_pass"/>
+ </state>
+ <state state_id="admission_rejected" title="">
+  <exit-transition transition_id="finally_reject"/>
+ </state>
+ <state state_id="admitted" title="">
+  <exit-transition transition_id="enter_clearance_pin"/>
+ </state>
+ <state state_id="application_pin_entered" title="">
+  <exit-transition transition_id="apply_for_admission"/>
+  <permission-map name="Modify portal content"
+                  acquired="True">
+   <permission-role>Anonymous</permission-role>
+  </permission-map>
+  <permission-map name="View" acquired="True">
+  </permission-map>
  </state>
  <state state_id="clearance_pin_entered" title="">
@@ -37,4 +43,5 @@
   <permission-map name="Modify portal content"
                   acquired="False">
+   <permission-role>Anonymous</permission-role>
    <permission-role>Manager</permission-role>
    <permission-role>SectionManager</permission-role>
@@ -64,5 +71,5 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -73,7 +80,6 @@
  <transition transition_id="apply_for_admission" title=""
              new_state="admission_applied" trigger="USER"
-             before_script=""
-             after_script="">
-
+             before_script="" after_script="">
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -84,7 +90,6 @@
  <transition transition_id="clear_and_validate" title=""
              new_state="cleared_and_validated"
-             trigger="USER" before_script=""
-             after_script="">
-
+             trigger="USER" before_script="" after_script="">
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -96,5 +101,5 @@
              new_state="closed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -105,5 +110,5 @@
              new_state="created" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
   </guard>
@@ -114,5 +119,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-
+  
   <guard>
   </guard>
@@ -122,20 +127,15 @@
  <transition transition_id="enter_application_pin" title=""
              new_state="application_pin_entered"
-             trigger="USER"
-             before_script=""
-             after_script="open_application_personal">
-
-  <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-   <guard-role>Owner</guard-role>
+             trigger="USER" before_script="" after_script="">
+  
+  <guard>
+   <guard-permission>Modify portal content</guard-permission>
+   <guard-permission></guard-permission>
   </guard>
  </transition>
  <transition transition_id="enter_clearance_pin" title=""
              new_state="clearance_pin_entered"
-             trigger="USER"
-             before_script=""
-             after_script="">
-
+             trigger="USER" before_script="" after_script="">
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -147,5 +147,5 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -157,5 +157,5 @@
              new_state="opened" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -166,5 +166,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -176,5 +176,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -186,5 +186,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -195,7 +195,6 @@
  <transition transition_id="reject_clearance" title=""
              new_state="clearance_pin_entered"
-             trigger="USER" before_script=""
-             after_script="">
-
+             trigger="USER" before_script="" after_script="">
+  
   <guard>
    <guard-role>Manager</guard-role>
@@ -207,5 +206,5 @@
              new_state="clearence_requested" trigger="USER"
              before_script="" after_script="">
-
+  
   <guard>
    <guard-role>Manager</guard-role>