Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 522)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 523)
@@ -360,5 +360,5 @@
         if v and type(v) is StringType:
             p,b,n = v.split('-')
-            v = ScratchCardPin(v,b,n)
+            v = ScratchCardPin(p,b,n)
         if v:
             b = '%s' % v.b
@@ -371,13 +371,9 @@
             datastructure[widget_id+'_b'] = b
             datastructure[widget_id+'_n'] = n
-            
-###)
-
-
         return meth(mode=mode, 
                     datastructure=datastructure, 
                     prefix=self.prefix,
-                    value=v,
                     )
+    ###)
 
 
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 522)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 523)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentsFolder</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">home_student</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -30,8 +30,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="home_student"/>
+ <alias from="view" to="home_student"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/home_student" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/University.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 522)
+++ WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 523)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addUniversity</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">home_student</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -14,6 +14,4 @@
   <element value="AcademicsFolder"/>
   <element value="AccoFolder"/>
-  <element value="FAQ"/>
-  <element value="Section"/>
   <element value="StudentsFolder"/>
  </property>
@@ -37,6 +35,7 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="home_student"/>
+ <alias from="view" to="home_student"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/home_student" visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_student/get_student_info.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/get_student_info.py	(revision 522)
+++ WAeUP_SRP/trunk/skins/waeup_student/get_student_info.py	(revision 523)
@@ -17,5 +17,7 @@
 
 info = {}
-student = getattr(context.students,str(member))
+student = getattr(context.students,str(member),None)
+if student is None:
+    return
 info['review_state'] = wf.getInfoFor(student,'review_state','keiner')
 #info['wf_state'] = 'keiner'
Index: WAeUP_SRP/trunk/skins/waeup_student/home_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/home_student.pt	(revision 522)
+++ WAeUP_SRP/trunk/skins/waeup_student/home_student.pt	(revision 523)
@@ -1,8 +1,8 @@
-<metal:html>
+<metal:html tal:define="info context/get_student_info">
 
 <metal:body use-macro="here/main_template/macros/master">
 
 <metal:main fill-slot="main">
-
+<span tal:condition="isAnon">
   <h2>Welcome to the     
    
@@ -23,4 +23,14 @@
   
   <p>This site is best seen in Firefox browser.</p>
+</span>
+<span tal:condition="not:isAnon">
+    <h3 tal:content="info/review_state"></h3>
+   <span tal:omit-tag="" tal:condition="python:info['review_state'] == 'admission_applied'"
+          tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+                                                               layout_mode='view', 
+                                                               layout_id='student_application_fe')" />
+      
+
+</span>
   
 </metal:main>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 522)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 523)
@@ -7,5 +7,4 @@
 ##parameters=REQUEST, cluster=None, cpsdocument_edit_and_view_button=None, action=None
 ##title=
-##
 # $Id$
 """
@@ -38,6 +37,8 @@
 if context.portal_type == "StudentApplication":
     student = context.aq_parent
-    if context.portal_workflow.getInfoFor(student,'review_state',None) == "application_pin_entered":
+    state = context.portal_workflow.getInfoFor(student,'review_state',None) 
+    if state == "application_pin_entered":
         student.content_status_modify(workflow_action="apply_for_admission")
+    if doc.passport is None:
         is_valid, ds = doc.validate(request=REQUEST,
                                     proxy=context,
@@ -45,7 +46,6 @@
                                     layout_mode = 'edit',
                                     use_session=True)
-
+    
         action = '/application_form'
-
         if is_valid:
             comments = REQUEST.get('comments')
Index: WAeUP_SRP/trunk/skins/waeup_student/widget_scratch_card_pin_render.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/widget_scratch_card_pin_render.pt	(revision 522)
+++ WAeUP_SRP/trunk/skins/waeup_student/widget_scratch_card_pin_render.pt	(revision 523)
@@ -4,10 +4,9 @@
                    id_n string:${id}_n;
                    prefix options/prefix;
-                   value options/datastructure/?id;
                    batch options/datastructure/?id_b;
                    nr options/datastructure/?id_n;
 ">
 <tal:block condition="python: mode == 'view'">
-<span tal:replace="value" />
+<span tal:replace="prefix" />-<span tal:replace="batch" />-<span tal:replace="nr" />
 </tal:block>
 <tal:block define="name here/getHtmlWidgetId;"