Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_course_registration_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_course_registration_wf/definition.xml	(revision 533)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_course_registration_wf/definition.xml	(revision 533)
@@ -0,0 +1,140 @@
+<?xml version="1.0"?>
+<cps-workflow workflow_id="waeup_course_registration_wf"
+              title="CPS Workflow Definition"
+              state_variable="review_state"
+              meta_type="CPS Workflow">
+ <permission>Modify portal content</permission>
+ <permission>View</permission>
+ <state state_id="courses_registered" title="">
+  <exit-transition transition_id="notify_change_courses"/>
+  <exit-transition transition_id="validate"/>
+ </state>
+ <state state_id="created" title="">
+  <exit-transition transition_id="pass"/>
+  <exit-transition transition_id="probate"/>
+  <exit-transition transition_id="reject"/>
+ </state>
+ <state state_id="failed" title="">
+ </state>
+ <state state_id="finished" title="">
+ </state>
+ <state state_id="passed" title="">
+  <exit-transition transition_id="enter_school_fee_pin"/>
+  <exit-transition transition_id="finish"/>
+ </state>
+ <state state_id="probation" title="">
+  <exit-transition transition_id="enter_school_fee_pin"/>
+ </state>
+ <state state_id="school_fee_pin_entered" title="">
+  <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="register_courses"/>
+ </state>
+ <state state_id="validated" title="">
+  <exit-transition transition_id="pass"/>
+  <exit-transition transition_id="probate"/>
+  <exit-transition transition_id="reject"/>
+ </state>
+ <transition transition_id="create" title="Initial creation"
+             new_state="created" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-create"/>
+  <transition-behavior behavior_id="initial-create"/>
+ </transition>
+ <transition transition_id="create_content" title=""
+             new_state="" trigger="USER" before_script=""
+             after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-create"/>
+  <transition-behavior behavior_id="allow-sub-delete"/>
+ </transition>
+ <transition transition_id="enter_school_fee_pin" title=""
+             new_state="school_fee_pin_entered"
+             trigger="USER" before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="finish" title=""
+             new_state="finished" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="notify_change_courses" title=""
+             new_state="school_fee_pin_entered"
+             trigger="USER" before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="pass" title=""
+             new_state="passed" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="probate" title=""
+             new_state="probation" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="register_courses" title=""
+             new_state="courses_registered" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="reject" title=""
+             new_state="failed" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="validate" title=""
+             new_state="validated" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <script script_id="add_language_to_proxy"
+         type="Script (Python)"
+         filename="workflows/waeup_course_registration_wf/scripts/add_language_to_proxy.py"/>
+ <script script_id="delete_language_from_proxy"
+         type="Script (Python)"
+         filename="workflows/waeup_course_registration_wf/scripts/delete_language_from_proxy.py"/>
+</cps-workflow>