Index: WAeUP_SRP/trunk/profiles/default/pins.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/pins.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/pins.xml	(revision 535)
@@ -4,6 +4,10 @@
  <column value="student"/>
  <column value="serial"/>
+ <column value="prefix_batch"/>
  <index name="pin" meta_type="FieldIndex">
   <indexed_attr value="pin"/>
+ </index>
+ <index name="prefix_batch" meta_type="FieldIndex">
+  <indexed_attr value="prefix_batch" />
  </index>
  <index name="student" meta_type="FieldIndex">
Index: WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 535)
@@ -8,6 +8,9 @@
   </roles>
   <permissions>
+    <permission name="WAeUPModify own content" acquire="True">
+      <role name="Owner"/>
+      <role name="SectionManager"/>
+    </permission>
     <permission name="List folder contents" acquire="True">
-      <role name="Owner"/>
       <role name="SectionManager"/>
       <role name="SectionReader"/>
Index: WAeUP_SRP/trunk/profiles/default/roots.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/roots.xml	(revision 535)
@@ -2,3 +2,7 @@
 <roots>
  <object name="campus" portal_type="University"/>
+ <script script_id=".cpsskins_theme"
+         type="Script (Python)" 
+         filename="roots/.cpsskins_theme.py"
+         />
 </roots>
Index: WAeUP_SRP/trunk/profiles/default/roots/campus.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots/campus.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/roots/campus.xml	(revision 535)
@@ -2,5 +2,4 @@
 <object name="campus">
   <property name="Title">University Portal</property>
-  <property name=".cpsskins_theme">waeup_plain_theme</property>
   <object name="academics" portal_type="AcademicsFolder" />
   <object name="accommodation" portal_type="AccoFolder" />
Index: WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml	(revision 535)
@@ -4,10 +4,7 @@
  <field name="category" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
- <field name="department" meta_type="CPS String Field"/>
  <field name="end_level" meta_type="CPS String Field"/>
- <field name="faculty" meta_type="CPS String Field"/>
- <field name="heading" meta_type="CPS String Field"/>
  <field name="m_prefix" meta_type="CPS String Field"/>
  <field name="max_elect" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/course.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/schemas/course.xml	(revision 535)
@@ -4,10 +4,10 @@
  <field name="category" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="credits" meta_type="CPS Int Field"/>
  <field name="former_code" meta_type="CPS String Field"/>
  <field name="org_code" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
+  <property name="is_searchabletext">False</property>
  </field>
  <field name="passmark" meta_type="CPS Int Field">
Index: WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml	(revision 535)
@@ -26,10 +26,10 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="batch_index_html"/>
  <alias from="create_do" to="scratch_card_batch_create_do"/>
  <alias from="created" to="scratch_card_batch_created"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="view" to="batch_index_html"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_contents"
+    condition_expr="" url_expr="string:${object_url}/batch_index_html"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatchesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatchesFolder.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatchesFolder.xml	(revision 535)
@@ -25,10 +25,10 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="pins_index_html"/>
  <alias from="create_do" to=""/>
  <alias from="created" to=""/>
- <alias from="view" to="academics_contents"/>
+ <alias from="view" to="pins_index_html"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_contents"
+    condition_expr="" url_expr="string:${object_url}/pins_index_html"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 535)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudent</property>
- <property name="immediate_view">folder_view</property>
+ <property name="immediate_view">student_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -32,9 +32,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="Standard View" action_id="view" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/student_index" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 535)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentsFolder</property>
- <property name="immediate_view">home_student</property>
+ <property name="immediate_view">student_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -30,8 +30,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="home_student"/>
- <alias from="view" to="home_student"/>
+ <alias from="(Default)" to="student_index"/>
+ <alias from="view" to="student_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/home_student" visible="True">
+    url_expr="string:${object_url}/student_index" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/University.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 535)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addUniversity</property>
- <property name="immediate_view">home_student</property>
+ <property name="immediate_view">home_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -34,8 +34,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="home_student"/>
- <alias from="view" to="home_student"/>
+ <alias from="(Default)" to="home_index"/>
+ <alias from="view" to="home_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/home_student" visible="True">
+    url_expr="string:${object_url}/home_index" visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 534)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 535)
@@ -5,4 +5,5 @@
               meta_type="CPS Workflow">
  <permission>Modify portal content</permission>
+ <permission>WAeUPModify own content</permission>
  <permission>View</permission>
  <state state_id="closed" title="">
@@ -15,9 +16,13 @@
   <permission-map name="Modify portal content"
                   acquired="False">
+   <permission-role>Owner</permission-role>
    <permission-role>Manager</permission-role>
-   <permission-role>Owner</permission-role>
    <permission-role>SectionManager</permission-role>
   </permission-map>
-  <permission-map name="View" acquired="True">
+  <permission-map name="WAeUPModify own content"
+                  acquired="False">
+   <permission-role>Owner</permission-role>
+  </permission-map>
+  <permission-map name="View" acquired="False">
   </permission-map>
  </state>
@@ -26,6 +31,9 @@
   <permission-map name="Modify portal content"
                   acquired="True">
+   <permission-role>SectionManager</permission-role>
+  </permission-map>
+  <permission-map name="WAeUPModify own content"
+                  acquired="False">
    <permission-role>Owner</permission-role>
-   <permission-role>SectionManager</permission-role>
   </permission-map>
   <permission-map name="View" acquired="True">
@@ -37,6 +45,5 @@
   
   <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
+    <guard-permission>WAeUPModify own content</guard-permission>
   </guard>
  </transition>
@@ -55,6 +62,5 @@
   
   <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
+    <guard-permission>WAeUPModify own content</guard-permission>
   </guard>
  </transition>