Index: WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 535)
+++ WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 536)
@@ -24,5 +24,4 @@
  </property>
  <property name="layouts">
-  <element value="waeup_common"/>
   <element value="certificate"/>
  </property>
@@ -62,3 +61,2 @@
  </action>
 </object>
-
Index: WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 535)
+++ WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 536)
@@ -22,5 +22,4 @@
  </property>
  <property name="layouts">
-  <element value="waeup_common"/>
   <element value="course"/>
  </property>
Index: WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 535)
+++ WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 536)
@@ -24,5 +24,4 @@
  </property>
  <property name="layouts">
-  <element value="waeup_common"/>
   <element value="faculty"/>
  </property>
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 535)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 536)
@@ -30,5 +30,5 @@
 <metal:block define-macro="table_view"
              tal:define="layout options/layout">
-<table border="0" width=100%>
+<table>
     <tal:block repeat="row layout/rows">
       <tr>
@@ -41,5 +41,5 @@
                  >
               <tal:block condition="widget/label">
-              <td valign="top" width=40%>
+              <td valign="top" width="150px">
                 <span i18n:translate="" tal:condition="widget/is_i18n">
                     <span tal:content="widget/label" />:</span>
@@ -50,5 +50,5 @@
               <tal:block condition="not: widget/label">
               <td>
-                <div valign="top"> no label </div>
+                <div valign="top" width=30%> no label </div>
               </td>
               </tal:block>              
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 535)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 536)
@@ -14,34 +14,39 @@
                                  >
   <span tal:condition="nothing" tal:replace="structure widgets" />
-  <table width="100%" cellpadding="2" cellspacing="2" summary="layout">
+  <table cellpadding="2" cellspacing="2" summary="layout">
     <tr tal:repeat="field fields">
-      <td tal:define="cell python: widgets[field]">
+      <tal:block tal:define="cell python: widgets[field]">
         <tal:block define="widget cell/widget">
           <div tal:attributes="class cell/widget_css_class|nothing;
-          id python:widget.getHtmlWidgetId()+'_widget';"
-          >
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td >
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:replace="structure cell/widget_rendered" />
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+    <tr>
+      <tal:block define="cell widgets/passport;
+                         widget cell/widget"
+                         >
+          <div tal:attributes="class cell/widget_css_class|nothing;
+              id python:widget.getHtmlWidgetId()+'_widget';">
+            <td valign="top">
             <tal:block condition="widget/label">
               <span class="dlabel"
-                    tal:content="widget/label">label</span>
+                    tal:content="widget/label">label</span>:
             </tal:block>
-            <tal:block replace="structure cell/widget_rendered" />
+            </td>
+            <td>
+              <img src="img" tal:attributes="src string:${context/aq_parent/absolute_url}/passport" />
+            </td>
           </div>
-        </tal:block>
-      </td>
-    </tr>
-    <tr>
-      <td tal:define="cell widgets/passport">
-        <tal:block define="widget cell/widget">
-          <div tal:attributes="class cell/widget_css_class|nothing;
-          id python:widget.getHtmlWidgetId()+'_widget';"
-          >
-            <tal:block condition="widget/label">
-              <span class="dlabel"
-                    tal:content="widget/label">label</span>
-            </tal:block>
-            <img src="img" tal:attributes="src string:${context/aq_parent/absolute_url}/passport" />
-          </div>
-        </tal:block>
-      </td>
+      </tal:block>
     </tr>    
   </table>