Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 538)
@@ -219,5 +219,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="passport" meta_type="WAeUPImage Widget">
+ <widget name="passport" meta_type="WAeUP Image Widget">
   <property name="title">Passport Picture</property>
   <property name="fields">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 538)
@@ -160,5 +160,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="passport" meta_type="WAeUPImage Widget">
+ <widget name="passport" meta_type="WAeUP Image Widget">
   <property name="title">Passport Picture</property>
   <property name="fields">
Index: /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 538)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addAcademicsFolder</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -30,8 +30,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
+ <alias from="view" to="academics_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 538)
@@ -32,9 +32,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
  <alias from="create_do" to="waeup_document_create_do"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="view" to="academics_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 538)
@@ -30,9 +30,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
  <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="view" to="cpsdocument_view"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 538)
@@ -8,5 +8,5 @@
  <property name="product">CPSDefault</property>
  <property name="factory">addFolder</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -29,8 +29,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
+ <alias from="view" to="academics_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 538)
@@ -30,9 +30,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
  <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="view" to="cpsdocument_view"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 538)
@@ -8,5 +8,5 @@
  <property name="product">CPSDefault</property>
  <property name="factory">addFolder</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -29,8 +29,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
+ <alias from="view" to="academics_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/Department.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 538)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addDepartment</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -33,9 +33,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
  <alias from="created" to="department_created"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="view" to="academics_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 538)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addFaculty</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -32,11 +32,11 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
  <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="edit" to=""/>
  <alias from="edit_form" to=""/>
- <alias from="view" to="academics_contents"/>
+ <alias from="view" to="academics_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 537)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 538)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudyLevel</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_index</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -28,10 +28,10 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="academics_index"/>
  <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="created" to="level_created"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="view" to="academics_index"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_index" visible="True">
   <permission value="View"/>
  </action>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 538)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 538)
@@ -0,0 +1,39 @@
+## Script (Python) "cpsdocument_edit"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the appropriate page in the academics section 
+"""
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+campus = context.portal_catalog(meta_type = "University")[-1].getObject()
+pm = context.portal_membership
+member = pm.getAuthenticatedMember()
+roles = member.getRoles()
+isManager = "Manager" in roles or "SectionManager" in roles
+isStudent = "Student" in roles
+if isManager:
+    return redirect("%s/academics_contents" % context.absolute_url())
+if isStudent:
+    return redirect("%s/academics_contents" % context.absolute_url())
+if pm.isAnonymousUser():
+    return redirect("%s/acacemics_contents" % context.absolute_url())
+    
+info = context.getStudentInfo()
+student = info['student']
+doc = info['app_doc']
+state = context.getStudentInfo()['review_state']
+if state == 'admission_applied':
+    return redirect("%s/application_view" % student.absolute_url())
+elif state == 'application_pin_entered':
+    return redirect("%s/passport_entry_view" % student.absolute_url())
+    
+
Index: /WAeUP_SRP/trunk/skins/waeup_default/.cpsskins_theme.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/.cpsskins_theme.py	(revision 538)
+++ /WAeUP_SRP/trunk/skins/waeup_default/.cpsskins_theme.py	(revision 538)
@@ -0,0 +1,12 @@
+# Return the right theme in context:
+
+request = container.REQUEST
+RESPONSE =  request.RESPONSE
+
+# Return a string identifying this script.
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+roles = member.getRoles()
+if 'Manager' in roles or 'SectionManager' in roles:
+    return 'WAeUP_Backoffice'
+return 'WAeUP_Student'
Index: /WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt	(revision 537)
+++ /WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt	(revision 538)
@@ -8,5 +8,5 @@
            >
   <tal:block condition="not:isAnon">
-       <strong> <span tal:condition="info" tal:content="python:info['per_doc'].lastname" /> 
+       <strong> <span tal:condition="info" tal:content="python:info['student_doc'].Title()" /> 
        <span tal:condition="not: info" tal:content="python:member.getProperty('fullname',None)" /> 
        </strong>
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 537)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 538)
@@ -33,4 +33,5 @@
 #info['wf_state'] = 'keiner'
 info['student'] = student
+info['student_doc'] = student.getContent()
 info['app'] = student.application
 info['app_doc'] = student.application.getContent()
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 537)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 538)
@@ -32,4 +32,2 @@
 elif state == 'application_pin_entered':
     return redirect("%s/passport_entry_view" % student.absolute_url())
-    
-